Endpoint Overview
/api/tasks/v4/tasks/api/tasks/v4/tasks/api/tasks/v4/tasks/{task_id}/api/tasks/v4/tasks/{task_id}/api/tasks/v4/tasks/{task_id}/api/tasks/v4/tasks/api/tasks/v4/tasks/api/tasks/v4/tasks/{task_id}/api/tasks/v4/tasks/{task_id}/api/tasks/v4/tasks/{task_id}Returns a paginated list of tasks where the acting user is either the author or a recipient.
Default Behavior:
distribution_kind filter is provided, all three kinds are included (DISTRIBUTED, RECEIVED, PERSONAL).progress_status filter is provided, all statuses are included.Filter Combination Examples:
distribution_kind=RECEIVED,PERSONAL: Received and personal tasks.distribution_kind=DISTRIBUTED: Tasks the actor distributed to others.progress_status=OPEN: Only tasks with no recipient progress yet.progress_status=OPEN,IN_PROGRESS: Open and partially progressed tasks.correlation_id stringFilter results to only tasks matching the given correlation ID. Allows grouping related tasks created via external systems.
embed string[]Options for embedding additional data into task responses:
ASSIGNMENT_SUMMARY: Includes aggregated assignment progress counts in the assignment_summary field.
Only populated for tasks where the actor is the author.distribution_kind string[]filters tasks based on their association with the actor. Multiple values can be used, separated by commas.
RECEIVED: Tasks received by the actor, excluding personal tasks.DISTRIBUTED: Tasks assigned by the actor to others excluding personal tasks.PERSONAL: Personal tasks of the actor.progress_status string[]Only return tasks that have their progress status set to one of the given values
page_limit integerThe maximum number of items to be contained in the response array. Refer to our general "pagination" concept for more information.
page_cursor stringA cursor pointing to the first item to be contained in the response array. Refer to our general "pagination" concept for more information.
external_id stringAn arbitrary string referencing an external entity identifier.
sort string[]Sort options for tasks. Each option has ascending (_ASC) and descending (_DESC) variants:
DUE_AT: Sort by the task's due date. Tasks without a due date are positioned after all tasks with a due date.UPDATED_AT: Sort by when the task was last updated.body_format string[]restricts the returned formatted content to the specified formats
PLAIN: the plain content is returned.DELTA: the content is returned in delta formatHTML: the content is returned in html format200 OKCreates a new task with the acting user as author and immediately assigns it to the specified recipients.
Distribution Kind:
PERSONAL task.DISTRIBUTED.Recipient Constraints:
USER or exactly 1 CHANNEL (mixing types is not allowed).USER recipients or 1 CHANNEL recipient.Body Constraints:
embed string[]Options for embedding additional data into task responses:
ASSIGNMENT_SUMMARY: Includes aggregated assignment progress counts in the assignment_summary field.
Only populated for tasks where the actor is the author.body_format string[]restricts the returned formatted content to the specified formats
PLAIN: the plain content is returned.DELTA: the content is returned in delta formatHTML: the content is returned in html formatid stringThe unique identifier of the task.
external_id stringAn arbitrary string referencing an external entity identifier.
correlation_id stringOnly return tasks which match the given correlation id
title stringrequiredA short descriptive title of the task.
body objectA schema representing formatted content with a constraint on the maximum length of the content.
The discriminator content_format determines which format is used:
DELTA: QuillJS Delta format for rich text editing Example:
{
"content_format": "DELTA",
"contentDelta": [
{"insert": "Hello "},
{"insert": "World", "attributes": {"bold": true}},
{"insert": "\n"}
]
}
HTML: HTML formatted content Example:
{
"content_format": "HTML",
"contentHtml": "<p>Hello <strong>World</strong></p>"
}
settings objectrequiredA collection of settings configured for a task.
due_at objectThe point in time by which this task should be completed before being marked as overdue.
attachments object[]a single attachment which shall be attached to an entity
recipients object[]recurrence_rule stringRecurrence rule in iCalendar RRULE format defining how often this task repeats.
Examples:
FREQ=DAILY;INTERVAL=1 — every dayFREQ=WEEKLY;BYDAY=MO,WE,FR — every Monday, Wednesday and FridayFREQ=MONTHLY;BYMONTHDAY=1 — on the 1st of every monthFREQ=YEARLY;BYMONTH=1;BYMONTHDAY=1 — on January 1st every year201 CreatedRetrieves a single task by its ID. The acting user must be either the author or a recipient of the task. Returns 404 if the task does not exist or the actor has no involvement with it.
task_id stringrequiredThe primary identifier of the task to access.
embed string[]Options for embedding additional data into task responses:
ASSIGNMENT_SUMMARY: Includes aggregated assignment progress counts in the assignment_summary field.
Only populated for tasks where the actor is the author.body_format string[]restricts the returned formatted content to the specified formats
PLAIN: the plain content is returned.DELTA: the content is returned in delta formatHTML: the content is returned in html format200 OKModifies the content or settings of an existing task. Only the task author can update a task.
Note: The task's progress status and assignments cannot be changed via this endpoint.
Use the dedicated finish/open assignment endpoints to update progress, or POST /api/tasks/v4/tasks/{task_id}/assignments
to add recipients.
task_id stringrequiredThe primary identifier of the task to access.
embed string[]Options for embedding additional data into task responses:
ASSIGNMENT_SUMMARY: Includes aggregated assignment progress counts in the assignment_summary field.
Only populated for tasks where the actor is the author.body_format string[]restricts the returned formatted content to the specified formats
PLAIN: the plain content is returned.DELTA: the content is returned in delta formatHTML: the content is returned in html formatexternal_id stringAn arbitrary string referencing an external entity identifier.
correlation_id stringOnly return tasks which match the given correlation id
title stringA short descriptive title of the task.
body objectA schema representing formatted content with a constraint on the maximum length of the content.
The discriminator content_format determines which format is used:
DELTA: QuillJS Delta format for rich text editing Example:
{
"content_format": "DELTA",
"contentDelta": [
{"insert": "Hello "},
{"insert": "World", "attributes": {"bold": true}},
{"insert": "\n"}
]
}
HTML: HTML formatted content Example:
{
"content_format": "HTML",
"contentHtml": "<p>Hello <strong>World</strong></p>"
}
settings objectA collection of settings configured for a task.
due_at objectThe point in time by which this task should be completed before being marked as overdue.
attachments object[]a single attachment which shall be attached to an entity
recurrence_rule stringRecurrence rule in iCalendar RRULE format defining how often this task repeats.
Examples:
FREQ=DAILY;INTERVAL=1 — every dayFREQ=WEEKLY;BYDAY=MO,WE,FR — every Monday, Wednesday and FridayFREQ=MONTHLY;BYMONTHDAY=1 — on the 1st of every monthFREQ=YEARLY;BYMONTH=1;BYMONTHDAY=1 — on January 1st every year200 OKPermanently deletes a task. Only the task author can delete a task. All associated assignments are also removed. The operation cannot be undone.
task_id stringrequiredThe primary identifier of the task to access.
204 No Content